/*  Copyright (C) 2011-2024 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CALCULATEPOLAR_SRC_CALCULATEPOLAR_H_
#define CALCULATEPOLAR_SRC_CALCULATEPOLAR_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

#include <vector>
#include <string>

/**
 * \brief calculatePolar module for calculating Polars
 * 
 */
class calculatePolar : public Module {
 public:
    calculatePolar(const int argc, char *argv[], const std::string &toolName, const std::string &toolVersion);
    ~calculatePolar() = default;

    void initialize() override { strategy.initializeStrategy(); };
    void run() override { strategy.runStrategy(); };
    void update() override { strategy.updateStrategy();};
    void report() override { strategy.reportStrategy();};
    void save() override {
        strategy.saveStrategy();
        aixml::saveDocument(rtIO_->acxml);
    };
    std::vector<std::string> route;
    strategyaccess routing(const std::vector<std::string>& route);
    StrategySelector strategy;
};

#endif  // CALCULATEPOLAR_SRC_CALCULATEPOLAR_H_
