/**
 * \file LowVerticalTailsBwb.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief
 * \version 0.1
 * \date 2023-10-18
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef LOW_VERTICAL_TAILS_BWB_H_
#define LOW_VERTICAL_TAILS_BWB_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

#include <functional>
#include <map>

#include "bwb/vertical_tails/bwbVerticalTailsConfig.h"
#include "bwb/vertical_tails/bwbVerticalTailsData.h"

namespace bwb {
namespace low {

class VerticalTails : public Strategy {
 public:
  VerticalTails(const std::shared_ptr<RuntimeIO>& rtIO);
  ~VerticalTails() = default;
  void initialize();
  void run();
  void update();
  void report();
  void save();

  void design();
  void redesign();

  void flops_mass();

  const std::shared_ptr<RuntimeIO>& rtIO;
  const std::shared_ptr<bwb::low::VerticalTailsConfig> config;
  const std::shared_ptr<bwb::low::VerticalTailsData> data;
  std::map<std::string, std::function<void(void)>> design_mode;
  std::map<std::string, std::function<void(void)>> mass_mode;
};

}  // namespace low
}  // namespace bwb

#endif  // LOW_VERTICAL_TAILS_H_