/**
 * \file empennageDesign.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Base module for empennageDesign
 * \version 0.1
 * \date 2023-10-10
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef EMPENNAGDESIGN_SRC_EMPENNAGEDESIGN_H_
#define EMPENNAGDESIGN_SRC_EMPENNAGEDESIGN_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

#include <string>

class EmpennageDesign : public Module {
 public:
  EmpennageDesign(const int argc, char *argv[], const std::string &toolName, const std::string &toolVersion);
  ~EmpennageDesign() = default;

  void initialize() override { strategy.initializeStrategy(); };
  void run() override { strategy.runStrategy(); };
  void update() override { strategy.updateStrategy(); };
  void report() override { strategy.reportStrategy(); };
  void save() override {
    strategy.saveStrategy();
    aixml::saveDocument(rtIO_->acxml);
  };

  std::vector<std::string> route;
  strategyaccess design_routing(const std::vector<std::string> &route);
  StrategySelector strategy;
};

#endif  // EMPENNAGEDESIGN_SRC_EMPENNAGEDESIGN_H_