/**
 * \file flops_mass_methods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief
 * \version 0.1
 * \date 2023-11-23
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef FLOPS_MASS_METHODS_H_
#define FLOPS_MASS_METHODS_H_

namespace flops {
double fin_mass(double technology_factor, int number_of_fins, double area, double taper_ratio, double design_gross_weight);

double horizontal_stabilizer_mass(double technology_factor, double area, double taper_ratio, double design_gross_weight);

double vertical_stabilizer_mass(double technology_factor, int number_of_tails, double area, double taper_ratio, double design_gross_weight);

}  // namespace flops
#endif  // FLOPS_MASS_METHODS_H_
