def cabin_wall_thickness_calculation(geometry_description, runtime_output):
    """ Calculates the cabin wall thickness from a given cabin width.

        References and calculation method:
            [1] Prof. Dr.-Ing. Juergen Thorbeck TU-Berlin (2006), Script "Flugzeugentwurf I und II" page: XYZ
                wall_thickness = 0.02 * cabin_width + 2.5" [inch]

    :param dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    :param logging.Logger runtime_output: Logging object used for capturing log messages in the module
    :return dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    """

    # Calculation of wall thickness according to [1].
    geometry_description['cabin_wall_thickness'] = round(0.02 * geometry_description['total_cabin_width'] + 2.5, 2)

    ''' debug print '''
    runtime_output.debug('Debug: The cabin_wall_thickness_calculation function was successfully executed!')

    return geometry_description
