/*  Copyright (C) 2011-2022 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * \file mainInitialSizing.cpp
 * \author Sara Hijazi
 * \brief main file for initial sizing
 * \version 0.1
 * \date 
 *
 * @copyright Copyright (c) 2023
 */
#ifndef INITIALSIZING_SRC_INITIALSIZINGDEFINES_H_
#define INITIALSIZING_SRC_INITIALSIZINGDEFINES_H_

#include <moduleBasics/module.h>

enum strategies{
    ANALYTICAL,
	DATABASE_INTERPOLATED,
	DATABASE_REFERENCE
};

class ModuleConfig{
 public:
    strategies strategy;
    fs::path strategyConfig;
};

#endif // INITIALSIZING_SRC_INITIALSIZINGDEFINES_H_

