/*  Copyright (C) 2024 Chair of Aircraft Design, Technical University Munich
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * @file blackbox_propulsion_design.cpp
 * @brief The blackbox test for the propulsion design module.
 * @version 3.0.0
 * @date 2024-02-22
 */

/* === Includes === */
#include "../src/toolinfo.h"
#include "../src/propulsion_design.h"
#include <blackboxTest/module_test.h>

/* Main to execute the blackbox tests */
int main(int argc, char *argv[]) {
    return run_module_tests<PropulsionDesign>(argc, argv);
}
