/**
 * \file sparMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Spar methods
 * \version 0.1
 * \date 2024-01-11
 *
 * @copyright Copyright (c) 2024
 *
 */
#ifndef SPAR_METHODS_H_
#define SPAR_METHODS_H_

#include <iostream>
using modes = std::string;
#include <aircraftGeometry2/geometry/surface.h>

#include "lib/io_methods/sparIO.h"

namespace user_defined {

std::vector<geom2::MultisectionSurface<geom2::PolygonSection>> spars(std::vector<Spar> spar_elements);
}  // namespace user_defined


std::vector<geom2::MultisectionSurface<geom2::PolygonSection>> get_spars(modes spars_mode,
                                                                         std::vector<Spar> spar_elements);

#endif  // SPAR_METHODS_H_


